%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 0.7.5
%define kderelease 1

%define kdename kwintv
Name: %{kdename}
Summary: A KDE utility for watching TV on your PC.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://www.mathematik.uni-kl.de/pub/Sources/misc/programs/%{kdename}-%{version}.tar.gz
Patch0: kwintv-0.7.4-buildroot.patch
Patch1: kwintv-alpha.patch
License: GPL
URL: http://www.mathematik.uni-kl.de/~wenk/kwintv/
Group: Applications/Multimedia
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}
Prereq: chkfontpath
Requires: MAKEDEV >= 2.5

%description
KWinTV is a TV application for the K Desktop Environment (KDE).
KWinTV is based on the video4linux interface.  KWinTV allows you to
watch TV in a window on your PC screen, using a TV card supported by a
video4linux based driver.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}-%{version}
%patch0 -p1 -b .buildroot
%patch1

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
export MOC=%{qtdir}/binmoc

./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/kwintv
if [ ! -c /dev/video0 -a `id -u` = 0 ]; then
  cd /dev && ./MAKEDEV video
fi

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r /usr/share/fonts/default/kwintv
fi

%files -f ../file.list.%{kdename}

%changelog
* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- upgrade to 0.7.5 for powertools 6.2

* Mon Sep 21 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 0.7.4 for powertools 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- create v4l devices in post if they are not already present

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0

